declare module '@ioc:Adonis/Addons/NATS' {
    import { ServiceBroker, BrokerOptions } from 'moleculer';
    export class BrokerInit {
        broker: ServiceBroker;
        init(brokerOptions: Partial<BrokerOptions>): Promise<this>;
        addServer<T>(classProto: any): Promise<T>;
        addClient<T>(clientClassProto: any, serverClassProto: any): T;
    }
    const instance: BrokerInit;
    export default instance;
}
