"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../src");
/**
 * NATS provider
 */
class NATSProvider {
    constructor(app) {
        this.app = app;
    }
    async register() {
        this.app.container.singleton('Adonis/Addons/NATS', () => {
            return new src_1.BrokerInit(this.app);
        });
    }
    async boot() { }
}
exports.default = NATSProvider;
NATSProvider.needsApplication = true;
