import { ServiceBroker, BrokerOptions } from 'moleculer';
import { Application } from '@adonisjs/application';
export declare class BrokerInit {
    protected app: Application;
    broker: ServiceBroker;
    isBrokerInit: boolean;
    constructor(app: Application);
    init(brokerOptions?: Partial<BrokerOptions>): this;
    addClient<T>(clientClass: any, serverClass: any): T;
    addServer(classProto: any): Promise<any>;
}
